
local S = chemistry.getter

technic.register_recipe_type("blasting", {
   description = S("Blasting"),
	input_size = 2,
})

function technic.register_blasting_recipe(data)
	data.time = data.time or 6
	technic.register_recipe("blasting", data)
end

local recipes = {
   {"bucket:bucket_empty", "chemistry:titanium 9", "chemistry:mtitanium_bucket", 15},
   {"bucket:bucket_empty", "chemistry:osmium 9", "chemistry:mosmium_bucket", 45},
   {"bucket:bucket_empty", "chemistry:tungsten 9", "chemistry:mtungsten_bucket", 50},
   {"bucket:bucket_empty", "chemistry:stone_cobble", "chemistry:st_lava_bucket", 45},
   {"bucket:bucket_empty", "default:cobble", "bucket:bucket_lava", 10},
   {"bucket:bucket_empty", "chemistry:cobalt 9", "chemistry:mcobalt_bucket", 10},
}

for _, data in pairs(recipes) do
	technic.register_blasting_recipe({input = {data[1], data[2]}, output = data[3], time = data[4]})
end

